Bug 1249719 - (RFE) quassel: Enable postgresql support
(RFE) quassel: Enable postgresql support
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: quassel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 11:55 EDT by Daniel Vrátil
Modified: 2016-11-02 10:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-03 11:55:29 EDT
Description of problem:
In addition to SQLite, Quassel also supports PostgreSQL [0]. While SQLite might work for normal users, a deployment with multiple users with many active channels quickly outgrows SQLite, and it's poor performance on large databases causes timeouts during login - that's when PostgreSQL supports comes in handy :-)



[0] http://bugs.quassel-irc.org/projects/1/wiki/PostgreSQL
Comment 1 Adam Miller 2015-08-03 12:30:14 EDT
It is enabled, you just have to install postgresql. There was a debate in the past about having it be a hard requirement or not and the decision was to not have the package require every database backend that quassel supports and leave them optional.
Comment 2 Adam Miller 2015-08-03 12:31:26 EDT
I think you also need qt-postgresql.
Comment 4 Fedora Admin XMLRPC Client 2016-01-25 12:09:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Ben Rosser 2016-03-14 13:58:52 EDT
Now that RPM supports weak dependencies, maybe we could use a weak dep to recommend or suggest the installation of the postgresql library?

Note You need to log in before you can comment on or make changes to this bug.